#include <iostream>
#include <algorithm>
#include <iomanip>
#include <math.h>
using namespace std;
const int inf = 1000000000;
int a, kx, ky, k;
long double x, y, vx, vy, t;
long double tmpx, tmpy, tmp, tmpt, aa;
long double t1, t2, t3, tans;

long double GetTime(){
  t1 = t2 = t3 = inf;
  if(fabsl(vx) != 0) t1 = -x / vx; if(fabsl(t1) == 0 || t1 < 0) t1 = inf;
  if(fabsl(vy) != 0) t2 = -y / vy; if(fabsl(t2) == 0 || t2 < 0) t2 = inf;
  if(vx != -vy) t3 = (aa - (x + y)) / (vx + vy); if(fabsl(t3) == 0 || t3 < 0) t3 = inf;
  if(t1 == t2 && t1 != inf) {k = 12; return t1;}
  if(t2 == t3 && t2 != inf) {k = 23; return t2;}
  if(t1 == t3 && t3 != inf) {k = 13; return t3;}
  tans = min(t1, min(t2, t3));
  if(tans == t1){k = 1; if(vx == -vy && a-x == y) k = -13; return t1;}
  if(tans == t2){k = 2; if(vx == -vy && a-x == y) k = -23; return t2;}
  if(tans == t3){k = 3; if(x == 0 && vx == 0) k = 13; if(y == 0 && vy == 0) k = 23; return t3;}
}

int main(){
  freopen("input.txt", "r", stdin);
  freopen("output.txt", "w", stdout);
  cin >> a >> x >> y >> vx >> vy >> t;
  aa = (long double)a;
  if((vx == 0 && vy == 0) || t == 0){
    cout << fixed << setprecision(3) << x << ' ' << y;
    fclose(stdin);
    fclose(stdout);
    return 0;
  }
  while(true){
    k = 0;
    tmpt = GetTime();
    if(tmpt >= t) break;
    t -= tmpt;
    x = x + vx*tmpt; y = y + vy*tmpt;
    if(k == 12 || k == 13 || k == 23){vx = -vx; vy = -vy;}
    if(k == 1) {vx = -vx; x = 0;}
    if(k == 2) {vy = -vy; y = 0;}
    if(k == 3){
      swap(vx, vy); vx = -vx; vy = -vy;
      if(x > y) x = aa - y; else y = aa - x;
    }
    if(k == -13 || k == -23){
      vx = -vx; vy = -vy;
      if(k == -13){x = 0; y = a;}
      if(k == -23){y = 0; x = a;}
    }
  }
  x = x + vx*t; y = y + vy*t; 
  cout << fixed << setprecision(3) << x << ' ' << y;
  fclose(stdin);
  fclose(stdout);
  return 0;
}